com.pixelmed.display

## Class SafeCursorChanger.SafeCursorSetterThread

- java.lang.Object
- - com.pixelmed.display.SafeCursorChanger.SafeCursorSetterThread

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  SafeCursorChanger

    public class SafeCursorChanger.SafeCursorSetterThread
    extends java.lang.Object
    implements java.lang.Runnable

### Field Summary

Fields
`protected java.awt.Cursor` `cursor`

### Constructor Summary

Constructors
Constructor and Description
`SafeCursorChanger.SafeCursorSetterThread(java.awt.Cursor cursor)`

### Method Summary

Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cursor

    protected java.awt.Cursor cursor

### Constructor Detail

#### SafeCursorChanger.SafeCursorSetterThread

    public SafeCursorChanger.SafeCursorSetterThread(java.awt.Cursor cursor)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`